Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 810875 - Review Request: guayadeque - Audio player and organizer
Summary: Review Request: guayadeque - Audio player and organizer
Keywords:
Status: CLOSED DUPLICATE of bug 853553
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-04-09 13:53 UTC by Vito Poma
Modified: 2012-08-31 20:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-23 12:20:26 UTC


Attachments (Terms of Use)

Description Vito Poma 2012-04-09 13:53:02 UTC
Descripition : Guayadeque is a music management program designed for all music enthusiasts. It is Full Featured Linux media player that can easily manage large collections and uses the Gstreamer media framework. More information? http://guayadeque.org

Hi , I packaged guayadeque and it works for me . 
This is the spec file, I have tried to adhere to Fedora guidelines , I don't get rpmlint errors. 
I post this in case this is useful to someone that want as me guayadeque in Fedora.
Fedora rocks!

Name: guayadeque          
Version: 0.3.5       
Release: 1%{?dist}
Summary: A music organizer and player with a lot of features       

License: GPLv+3       
URL:  http://sourceforge.net/projects/guayadeque          
Source0:  %{name}-%{version}.tar.bz2   

BuildRequires: cmake
BuildRequires: wxGTK 
BuildRequires: wxGTK-devel
BuildRequires: taglib-devel
BuildRequires: gnutls-devel
BuildRequires: dbus-devel
BuildRequires: gstreamer-devel
BuildRequires: flac-devel
BuildRequires: libgpod-devel
BuildRequires: subversion
BuildRequires: subversion-devel

%description
Guayadeque is a music management program designed for all music enthusiasts. It is Full Featured Linux media player that can easily manage large collections and uses the Gstreamer media framework. More information? http://guayadeque.org 

%prep
%setup -q


%build
./build

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc LICENSE README
%{_bindir}/guayadeque
%{_datadir}/guayadeque/equalizers.default.conf
%{_datadir}/guayadeque/guayadeque.default.conf
%{_datadir}/guayadeque/lyrics_sources.xml
%{_datadir}/applications/guayadeque.desktop
%{_datadir}/pixmaps/guayadeque.png

%changelog

Comment 1 Vito Poma 2012-04-10 12:02:14 UTC
I don't want to be the packager. Actually I don't have the time / capabilities to find a sponsor. But if someone want to package it by using my spec file  I would be happy. Posted it for that reason. 
Greetings .

Comment 2 Mario Blättermann 2012-08-09 22:20:06 UTC
Because the reporter of this bug doesn't want to become a packager, this is no real review request. In my opinion, it should be closed. If there are no further objections, I will close it within two weeks.

@Vito, maybe you should post your spec file somewhere else, e.g. fedoraforum.org or so to find a packager. This bugzilla section is for real review requests only.

Comment 3 MartinKG 2012-08-30 20:48:34 UTC
@mario,
I want to try to create a guayadeque fedora package.

I know there are a lot of incorrect-fsf-address messages from rpmlint
and 2 spurious-executable-perm messages that must be reported upstream,
i will do this later. Pleas can someone reopen the review, or should i
create a new one ?.

Spec URL:
https://www.disk.dsl.o2online.de/FclyPlh/RPMS/guayadeque/guayadeque-0.3.6-svn1830.1/guayadeque.spec?a=PKs-IsKaB7c

SRPM URL:
https://www.disk.dsl.o2online.de/FclyPlh/RPMS/guayadeque/guayadeque-0.3.6-svn1830.1/guayadeque-0.3.6-svn1830.1.fc17.src.rpm?a=5-SnN0TflHY

rpmlint output:
https://www.disk.dsl.o2online.de/FclyPlh/RPMS/guayadeque/guayadeque-0.3.6-svn1830.1/guayadeque-rpmlint.txt?a=3wuGytk7vj0

Comment 4 MartinKG 2012-08-31 20:24:46 UTC

*** This bug has been marked as a duplicate of bug 853553 ***


Note You need to log in before you can comment on or make changes to this bug.